Loading...
Searching...
No Matches
casacore::SDPointingHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDPointingHandler.h>`

## Public Member Functions

| SDPointingHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDPointingHandler (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach this to a MS, mark fields row which are handled here
| SDPointingHandler (const SDPointingHandler &other)
| copy ctor
| ~SDPointingHandler ()
SDPointingHandler & | operator= (const SDPointingHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS, mark fields in row which are handled here
void | resetRow (const Record &)
| reset internals given indicated row, use the same MS
void | fill (const Record &row, Int antennaId, Double time, const Vector< Double > &timeRange, const MDirection &direction, const MeasFrame &frame)
| fill - a new row is added when a) the name changes b) the time changes such that it would be outside of the new interval when added to the old interval (i.e.
Int | nrow ()
| convenience functions for use when filling the FIELD table, which is mostly just a clone of this table for SD data
const String & | name ()
Int | directionRefType ()
const Matrix< Double > & | directionPoly ()
Double | time ()

## Private Member Functions

void | clearAll ()
| cleanup everything
void | clearRow ()
| cleanup things which depend on the row
void | initAll (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| initialize everything
void | initRow (Vector< Bool > &handledCols, const Record &row)
| initialize everythign which depends on row

## Private Attributes

MSPointing * | msPointing_p
MSPointingColumns * | msPointingCols_p
Double | time_p
Int | antId_p
MDirection | direction_p
Matrix< Double > | directionPoly_p
Vector< Double > | directionRate_p
String | name_p
Int | rownr_p
MDirection::Ref | dirColRef_p
RORecordFieldPtr< String > | objectField_p
RORecordFieldPtr< Array< Double > > | pointingDirRateField_p
| these might come from an MS table this can just come from an MS v1 table
RORecordFieldPtr< Double > | intervalField_p
RORecordFieldPtr< Double > | timeField_p
RORecordFieldPtr< String > | nameField_p
RORecordFieldPtr< Bool > | trackingField_p

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 85 of file SDPointingHandler.h.

## Constructor & Destructor Documentation

## SDPointingHandler() [1/3]

casacore::SDPointingHandler::SDPointingHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDPointingHandler().

## SDPointingHandler() [2/3]

casacore::SDPointingHandler::SDPointingHandler | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach this to a MS, mark fields row which are handled here

References casacore::Record().

## SDPointingHandler() [3/3]

casacore::SDPointingHandler::SDPointingHandler | ( | const SDPointingHandler & | other | ) |

copy ctor

References SDPointingHandler().

## ~SDPointingHandler()

casacore::SDPointingHandler::~SDPointingHandler | ( |  | ) |

inline

Definition at line 97 of file SDPointingHandler.h.

References clearAll().

## Member Function Documentation

## attach()

void casacore::SDPointingHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS, mark fields in row which are handled here

References casacore::Record().

## clearAll()

void casacore::SDPointingHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDPointingHandler().

## clearRow()

void casacore::SDPointingHandler::clearRow | ( |  | ) |

private

cleanup things which depend on the row

## directionPoly()

const Matrix< Double > & casacore::SDPointingHandler::directionPoly | ( |  | ) |

inline

Definition at line 123 of file SDPointingHandler.h.

References directionPoly_p.

## directionRefType()

Int casacore::SDPointingHandler::directionRefType | ( |  | ) |

inline

Definition at line 122 of file SDPointingHandler.h.

References dirColRef_p.

## fill()

void casacore::SDPointingHandler::fill | ( | const Record & | row,
|  | Int | antennaId,
|  | Double | time,
|  | const Vector< Double > & | timeRange,
|  | const MDirection & | direction,
|  | const MeasFrame & | frame )

fill - a new row is added when a) the name changes b) the time changes such that it would be outside of the new interval when added to the old interval (i.e.

intervals do not overlap) c) the direction changes d) the antennaId changes There is no look-back to see if a previous row could be re-used

References casacore::Record(), and time().

## initAll()

void casacore::SDPointingHandler::initAll | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everything

References casacore::Record().

## initRow()

void casacore::SDPointingHandler::initRow | ( | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everythign which depends on row

References casacore::Record().

## name()

const String & casacore::SDPointingHandler::name | ( |  | ) |

inline

Definition at line 121 of file SDPointingHandler.h.

References name_p.

## nrow()

Int casacore::SDPointingHandler::nrow | ( |  | ) |

inline

convenience functions for use when filling the FIELD table, which is mostly just a clone of this table for SD data

Definition at line 120 of file SDPointingHandler.h.

References rownr_p.

## operator=()

SDPointingHandler & casacore::SDPointingHandler::operator= | ( | const SDPointingHandler & | other | ) |

assignment operator, uses copy semantics

References SDPointingHandler().

## resetRow()

void casacore::SDPointingHandler::resetRow | ( | const Record & |  | ) |

reset internals given indicated row, use the same MS

References casacore::Record().

## time()

Double casacore::SDPointingHandler::time | ( |  | ) |

inline

Definition at line 124 of file SDPointingHandler.h.

References time_p.

Referenced by fill().

## Member Data Documentation

## antId_p

Int casacore::SDPointingHandler::antId_p

private

Definition at line 131 of file SDPointingHandler.h.

## dirColRef_p

MDirection::Ref casacore::SDPointingHandler::dirColRef_p

private

Definition at line 139 of file SDPointingHandler.h.

Referenced by directionRefType().

## direction_p

MDirection casacore::SDPointingHandler::direction_p

private

Definition at line 132 of file SDPointingHandler.h.

## directionPoly_p

Matrix<Double> casacore::SDPointingHandler::directionPoly_p

private

Definition at line 133 of file SDPointingHandler.h.

Referenced by directionPoly().

## directionRate_p

Vector<Double> casacore::SDPointingHandler::directionRate_p

private

Definition at line 134 of file SDPointingHandler.h.

## intervalField_p

RORecordFieldPtr<Double> casacore::SDPointingHandler::intervalField_p

private

Definition at line 146 of file SDPointingHandler.h.

## msPointing_p

MSPointing* casacore::SDPointingHandler::msPointing_p

private

Definition at line 126 of file SDPointingHandler.h.

## msPointingCols_p

MSPointingColumns* casacore::SDPointingHandler::msPointingCols_p

private

Definition at line 127 of file SDPointingHandler.h.

## name_p

String casacore::SDPointingHandler::name_p

private

Definition at line 135 of file SDPointingHandler.h.

Referenced by name().

## nameField_p

RORecordFieldPtr<String> casacore::SDPointingHandler::nameField_p

private

Definition at line 147 of file SDPointingHandler.h.

## objectField_p

RORecordFieldPtr<String> casacore::SDPointingHandler::objectField_p

private

Definition at line 141 of file SDPointingHandler.h.

## pointingDirRateField_p

RORecordFieldPtr<Array<Double> > casacore::SDPointingHandler::pointingDirRateField_p

private

these might come from an MS table this can just come from an MS v1 table

Definition at line 145 of file SDPointingHandler.h.

## rownr_p

Int casacore::SDPointingHandler::rownr_p

private

Definition at line 137 of file SDPointingHandler.h.

Referenced by nrow().

## time_p

Double casacore::SDPointingHandler::time_p

private

Definition at line 129 of file SDPointingHandler.h.

Referenced by time().

## timeField_p

RORecordFieldPtr<Double> casacore::SDPointingHandler::timeField_p

private

Definition at line 146 of file SDPointingHandler.h.

## trackingField_p

RORecordFieldPtr<Bool> casacore::SDPointingHandler::trackingField_p

private

Definition at line 148 of file SDPointingHandler.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/SDPointingHandler.h